"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteAmqp = void 0;
const core_1 = require("@message-queue-toolkit/core");
async function deleteAmqp(channel, deletionConfig, creationConfig) {
    if (!deletionConfig.deleteIfExists) {
        return;
    }
    if ((0, core_1.isProduction)() && !deletionConfig.forceDeleteInProduction) {
        throw new Error('You are running autodeletion in production. This can and probably will cause a loss of data. If you are absolutely sure you want to do this, please set deletionConfig.forceDeleteInProduction to true');
    }
    if (!creationConfig.queueName) {
        throw new Error('QueueName must be set for automatic deletion');
    }
    await channel.deleteQueue(creationConfig.queueName);
}
exports.deleteAmqp = deleteAmqp;
//# sourceMappingURL=amqpInitter.js.map